linux: 3.2.0-40.64 -proposed tracker

Bug #1160017 reported by Steve Conklin on 2013-03-25
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Steve Conklin
Prepare-package-lbm
Medium
Steve Conklin
Prepare-package-meta
Medium
Steve Conklin
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.2.0-40.64 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 25. March 2013 20:33 UTC
kernel-stable-Prepare-package-end:Tuesday, 26. March 2013 06:13 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 26. March 2013 06:13 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 26. March 2013 12:09 UTC
kernel-stable-Verification-testing-start:Tuesday, 26. March 2013 14:10 UTC
kernel-stable-Verification-testing-end:Monday, 01. April 2013 15:03 UTC
kernel-stable-Certification-testing-start:Monday, 01. April 2013 15:03 UTC
kernel-stable-Security-signoff-start:Monday, 01. April 2013 15:03 UTC
kernel-stable-Regression-testing-start:Monday, 01. April 2013 15:03 UTC
kernel-stable-Security-signoff-end:Monday, 01. April 2013 22:04 UTC
kernel-stable-Regression-testing-end:Wednesday, 03. April 2013 16:02 UTC
kernel-stable-Promote-to-updates-start:Thursday, 04. April 2013 20:03 UTC
kernel-stable-Certification-testing-end:Thursday, 04. April 2013 20:02 UTC
kernel-stable-Promote-to-updates-end:Monday, 08. April 2013 21:02 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 08. April 2013 22:04 UTC

Steve Conklin (sconklin) on 2013-03-25
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Brad Figg (brad-figg) on 2013-03-26
description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed.

Brad Figg (brad-figg) on 2013-03-26
description: updated
Brad Figg (brad-figg) on 2013-03-26
description: updated
Brad Figg (brad-figg) on 2013-04-01
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-04-01
description: updated

Hardware Certification have begun testing this -proposed kernel

Para Siva (psivaa) wrote :
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-04-03
description: updated

Hardware Certification have completed testing this proposed kernel. We were unable to test the servers due to access issues in the data enter, but no regressions were observes on the systems that were tested. The report is available here: http://people.canonical.com/~hwcert/sru-testing/precise/3.2.0-40.64/precise-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-04-04
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (12.1 KiB)

This bug was fixed in the package linux - 3.2.0-40.64

---------------
linux (3.2.0-40.64) precise-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1160017

  [ Stefan Bader ]

  * SAUCE: Revert "SAUCE: xen/pv-spinlock: Never enable interrupts in
    xen_spin_lock_slow()"

  [ Xiangliang Yu ]

  * SAUCE: PCI: define macro for marvell vendor ID
    - LP: #1159863
  * SAUCE: PCI: fix system hang issue of Marvell SATA host controller
    - LP: #1159863

linux (3.2.0-40.63) precise-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1157785

  [ Andy Whitcroft ]

  * [Config] re-disable CONFIG_SOUND_OSS_PRECLAIM
    - LP: #1105230

  [ Luis Henriques ]

  * [Config] CONFIG_NFS_V4_1=y
    - LP: #1111416

  [ Upstream Kernel Changes ]

  * Revert "drm: Add EDID_QUIRK_FORCE_REDUCED_BLANKING for ASUS VW222S"
    - LP: #1150557
  * tmpfs: fix use-after-free of mempolicy object
    - LP: #1143815
    - CVE-2013-1767
  * sunvdc: Fix off-by-one in generic_request().
    - LP: #1150557
  * genirq: Avoid deadlock in spurious handling
    - LP: #1150557
  * KVM: s390: Handle hosts not supporting s390-virtio.
    - LP: #1150557
  * workqueue: consider work function when searching for busy work items
    - LP: #1150557
  * v4l: Reset subdev v4l2_dev field to NULL if registration fails
    - LP: #1150557
  * omap_vout: find_vma() needs ->mmap_sem held
    - LP: #1150557
  * dca: check against empty dca_domains list before unregister provider
    - LP: #1150557
  * powerpc/eeh: Fix crash when adding a device in a slot with DDW
    - LP: #1150557
  * ext4: return ENOMEM if sb_getblk() fails
    - LP: #1150557
  * pcmcia/vrc4171: Add missing spinlock init
    - LP: #1150557
  * Purge existing TLB entries in set_pte_at and ptep_set_wrprotect
    - LP: #1150557
  * ARM: PXA3xx: program the CSMSADRCFG register
    - LP: #1150557
  * USB: option: add and update Alcatel modems
    - LP: #1150557
  * quota: autoload the quota_v2 module for QFMT_VFS_V1 quota format
    - LP: #1150557
  * ext4: fix possible use-after-free with AIO
    - LP: #1150557
  * s390/kvm: Fix store status for ACRS/FPRS
    - LP: #1150557
  * staging: comedi: disallow COMEDI_DEVCONFIG on non-board minors
    - LP: #1150557
  * ALSA: usb-audio: fix Roland A-PRO support
    - LP: #1150557
  * x86-32, mm: Rip out x86_32 NUMA remapping code
    - LP: #1150557
  * ALSA: hda - Release assigned pin/cvt at error path of hdmi_pcm_open()
    - LP: #1150557
  * ext4: fix race in ext4_mb_add_n_trim()
    - LP: #1150557
  * zram: Fix deadlock bug in partial read/write
    - LP: #1150557
  * Driver core: treat unregistered bus_types as having no devices
    - LP: #1150557
  * ALSA: aloop: Fix Oops while PM resume
    - LP: #1150557
  * UBIFS: fix double free of ubifs_orphan objects
    - LP: #1150557
  * tty: set_termios/set_termiox should not return -EINTR
    - LP: #1150557
  * hrtimer: Prevent hrtimer_enqueue_reprogram race
    - LP: #1150557
  * nfsd: Fix memleak
    - LP: #1150557
  * staging: comedi: check s->async for poll(), read() and write()
    - LP: #1150557
  * ACPI: Add DMI entry for Sony VGN-FW41E_H
    - LP: #1150557
  * vgacon/vt: clear buf...

Changed in linux (Ubuntu Precise):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Brad Figg (brad-figg) on 2013-04-08
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers